# XmlGeneratorTask

API Documentation: | `XmlGeneratorTask`

Known Subtypes: |
`GenerateEclipseProject` | `GenerateIdeaModule` | `GenerateXcodeWorkspaceFileTask`
`GenerateEclipseClasspath` | `GenerateIdeaProject` | `GenerateProjectFileTask`
`GenerateEclipseWtpComponent` | `GenerateIdeaWorkspace` | `GenerateFiltersFileTask`
`GenerateEclipseWtpFacet` | `GenerateSchemeFileTask` |

A convenience superclass for those tasks which generate XML configuration files from a domain object of type T.

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.